﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            var container = new AddressBookContainer();
            var entry = new Entry();
            entry.Name = "Doi";
            entry.Age = 30;
            entry.TelNo = "03-0000-0000";
            entry.MailAddress = "doi@hogehoge.com";
            container.AddToEntries(entry);
            container.SaveChanges();

            var entries = from e in container.Entries select e;
            foreach (var e in entries)
            {
                Console.WriteLine(string.Format("{0} {1}歳 電話番号:{2}", e.Name, e.Age, e.TelNo));
            }
        }
    }
}
